Subject: Re: Fwd: New Version Notification for draft-stewart-tsvwg-reconfuse-sctp-00

From: Kacheong Poon <[email-masked]>
Date: Thu, 31 Mar 2011 17:05:38 +0800

On 03/29/11 11:30 PM, Randy Stewart wrote:

> Per our previous discussion on the list.. this is a real drafty draft... I
> just threw it together in-between sessions here.. it needs a lot
> of polishing.. and some more examples.. but I think it gets
> the point across to my previous speculation..

I took a quick look at the draft.  There are two examples given.
The first one has been mentioned in the list before.  Let me
repeat my comments here.  The way the proposed changes made to
ftp to use SCTP is only one of many ways.  IMHO, choosing the
proposed way is not a reason to support that SSN reset are
needed at the transport layer.  There are other ways to change
ftp to use SCTP streams which can achieve the same thing.
Resetting SSN is not a requirement to make the ftp modifications
work with SCTP.

The second example is more interesting.  But then why does the
existing SCTP mechanism not enough to handle this case?  The
example can be seen as an SCTP association restart case if
Host-A~ assumes the address(es) of Host-A as suggested in the
draft.  Isn't it sufficient?

-- 

					K. Poon.
					[email-masked]

---

From: Randy Stewart <[email-masked]>
Date: Thu, 31 Mar 2011 07:36:10 -0400

> Resetting SSN is not a requirement to make the ftp modifications

Here I think we must agree to disagree and from the list I think
you are alone here. Most everyone else is supportive of the idea of
reseting a stream as well as adding. I will let the chairs of course
be the judge of consensus...

I think the big question is the in-band/out-ofband one. The
rest of the stuff I think has rough consensus (but of course thats
my opinion).

The big question for the in-band proponents is can we come up with an 
alternative mechanism that adds a stream that is NOT out-of-band. If so
then I think its a possible option.. However if you still must implement
two mechanism's then I think an out-of-band mechanism is the best approach
(only one method ;-D)

> draft.  Isn't it sufficient?

Hmm.. that would be an interesting approach and an alternative. But the
only down side is applications like Sigtran which if I remember Michael told
me change a RESTART event into a DISCONNECT/CONNECT.. which is the whole thing
you are trying to avoid...

It would also be a bit heavier weight to do of course... but it is possible...

R

-----
Randall Stewart
[email-masked]